language: python
sudo: false
matrix:
    include:
        - os: linux
          python: 2.7
        - os: linux
          python: 3.3
        - os: linux
          python: 3.4
        - os: linux
          python: 3.5
        - os: linux
          python: pypy
        - os: linux
          python: pypy3
        - os: osx
          language: generic
          env: TERRYFY_PYTHON='homebrew 2'
        - os: osx
          language: generic
          env: TERRYFY_PYTHON='homebrew 3'
before_install:
    - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then git clone https://github.com/MacPython/terryfy; fi
    - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then source terryfy/travis_tools.sh; fi
    - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then get_python_environment $TERRYFY_PYTHON venv; fi
    - if [[ "$TERRYFY_PYTHON" == "homebrew 3" ]]; then alias pip=`which pip3` ; fi
install:
    - pip install -e .[ZODB]
script:
    - python setup.py -q test -q
notifications:
    email: false
after_success:
    - echo [distutils]                                  > ~/.pypirc
    - echo index-servers = pypi                        >> ~/.pypirc
    - echo [pypi]                                      >> ~/.pypirc
    - echo repository=https://pypi.python.org/pypi     >> ~/.pypirc
    - echo username=zope.wheelbuilder                  >> ~/.pypirc
    - echo password=$PYPIPASSWORD                      >> ~/.pypirc
    - if [[ $TRAVIS_TAG && "$TRAVIS_OS_NAME" == "osx" ]]; then pip install twine; fi
    - if [[ $TRAVIS_TAG && "$TRAVIS_OS_NAME" == "osx" ]]; then python setup.py bdist_wheel; fi
    - if [[ $TRAVIS_TAG && "$TRAVIS_OS_NAME" == "osx" ]]; then twine upload dist/*; fi

env:
    global:
        secure: "CpYDbVb6YOyIAnCcvBEiDLeYmNhfDDqJosIV0NussN9dNe1hsfHQK98evAEe9F4kXuWo6SmmtT0uX2RXOojB5If/z7sAcXSDaGWCMJK0FY98sWL2DCRtb1/O1puo/uvn3RJlpe4bkxQoyFCKjpWaTJOM+NSEt7YbTTTdCpG7/zU="
